package com.rjconsultores.ventaboletos.vo.busquedapacotes;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;

import com.rjconsultores.ventaboletos.enums.TipoPessoa;

@XmlRootElement(name = "cliente")
@XmlType(propOrder = {"razaoSocial", "cpfCnpj", "tipoPessoa", "descemail", "desctelefone", "descfax", "endereco", "numero", "complemento",
					  "bairro", "cidade", "estado", "cep", "pais"})	
public class ClientePacoteVO {

	private Long vendapacoteId;
	private String razaoSocial;
	private String cpfCnpj;
	private String tipoPessoa;
	private String descemail;
	private String desctelefone;
	private String descfax;
	private String endereco;
	private String numero;
	private String complemento;
	private String bairro;
	private String cidade;
	private String estado;
	private String cep;
	private String pais;
	
	public ClientePacoteVO() {
		super();
	}
	
	public ClientePacoteVO(String razaoSocial, String cpfCnpj, TipoPessoa tipoPessoa, String descemail, String desctelefone, String descfax, String cep,
						   String endereco, String numero, String complemento, String pais, String estado, String cidade, String bairro) {
		this();
		setRazaoSocial(razaoSocial);
		setCpfCnpj(cpfCnpj);
		setTipoPessoa(tipoPessoa.toString());
		setDescemail(descemail);
		setDesctelefone(desctelefone);
		setDescfax(descfax);
		setCep(cep);
		setEndereco(endereco);
		setNumero(numero);
		setComplemento(complemento);
		setPais(pais);
		setEstado(estado);
		setCidade(cidade);
		setBairro(bairro);
	}

	public String getRazaoSocial() {
		return razaoSocial;
	}

	public void setRazaoSocial(String razaoSocial) {
		this.razaoSocial = razaoSocial;
	}

	public String getCpfCnpj() {
		return cpfCnpj;
	}

	public void setCpfCnpj(String cpfCnpj) {
		this.cpfCnpj = cpfCnpj;
	}

	public String getTipoPessoa() {
		return tipoPessoa;
	}

	public void setTipoPessoa(String tipoPessoa) {
		this.tipoPessoa = tipoPessoa;
	}

	public String getDescemail() {
		return descemail;
	}

	public void setDescemail(String descemail) {
		this.descemail = descemail;
	}

	public String getDesctelefone() {
		return desctelefone;
	}

	public void setDesctelefone(String desctelefone) {
		this.desctelefone = desctelefone;
	}

	public String getDescfax() {
		return descfax;
	}

	public void setDescfax(String descfax) {
		this.descfax = descfax;
	}

	public String getCep() {
		return cep;
	}

	public void setCep(String cep) {
		this.cep = cep;
	}

	public String getEndereco() {
		return endereco;
	}

	public void setEndereco(String endereco) {
		this.endereco = endereco;
	}

	public String getNumero() {
		return numero;
	}

	public void setNumero(String numero) {
		this.numero = numero;
	}

	public String getComplemento() {
		return complemento;
	}

	public void setComplemento(String complemento) {
		this.complemento = complemento;
	}

	public String getPais() {
		return pais;
	}

	public void setPais(String pais) {
		this.pais = pais;
	}

	public String getEstado() {
		return estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	public String getCidade() {
		return cidade;
	}

	public void setCidade(String cidade) {
		this.cidade = cidade;
	}

	public String getBairro() {
		return bairro;
	}

	public void setBairro(String bairro) {
		this.bairro = bairro;
	}

	@XmlTransient
	public Long getVendapacoteId() {
		return vendapacoteId;
	}

	public void setVendapacoteId(Long vendapacoteId) {
		this.vendapacoteId = vendapacoteId;
	}

}
